Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 58799 - Support counted conditional breakpoints.
Support counted conditional breakpoints.
Status: CLOSED FIXED
Product: debugger
Classification: Unclassified
Component: Code
5.x
All All
: P3 (vote)
: 6.x
Assigned To: Martin Entlicher
issues@debugger
: UI
Depends on: 103936
Blocks:
  Show dependency treegraph
 
Reported: 2005-05-11 18:44 UTC by _ sandipchitale
Modified: 2010-04-29 09:22 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description _ sandipchitale 2005-05-11 18:44:18 UTC
For example stop at the breakpoint every nth time.
Comment 1 Roman Ondruska 2005-05-13 14:28:23 UTC
Yes, this is possible. Currently, there is a workaround via brekapoint condition
(not convenient, really ;-)
Comment 2 _ sandipchitale 2005-07-25 09:10:26 UTC
Can you give an example of how to use the workaround via brekapoint condition? 
Is it based on the application code in the context? Such as test on index of 
the surrounding for loop etc. What about other cases when this cannot be done?

Does JPDA JDI support this directly?
Comment 3 Roman Ondruska 2005-07-25 09:47:45 UTC
Yes, it is based on the application code. 
This issue is not closed.
Comment 4 Martin Entlicher 2007-05-22 16:25:02 UTC
Will be fixed along with issue #90141.
Comment 5 Martin Entlicher 2007-06-11 17:48:19 UTC
Conditional breakpoints are implemented. Also, all breakpoint dialogs are updated:

Checking in nbproject/project.properties;
/cvs/debuggerjpda/ui/nbproject/project.properties,v  <--  project.properties
new revision: 1.7; previous revision: 1.6
done
Checking in src/org/netbeans/modules/debugger/jpda/ui/WatchPanel.java;
/cvs/debuggerjpda/ui/src/org/netbeans/modules/debugger/jpda/ui/WatchPanel.java,v
 <--  WatchPanel.java
new revision: 1.7; previous revision: 1.6
done
Checking in src/org/netbeans/modules/debugger/jpda/ui/breakpoints/ActionsPanel.java;
/cvs/debuggerjpda/ui/src/org/netbeans/modules/debugger/jpda/ui/breakpoints/ActionsPanel.java,v
 <--  ActionsPanel.java
new revision: 1.8; previous revision: 1.7
done
Checking in src/org/netbeans/modules/debugger/jpda/ui/breakpoints/Bundle.properties;
/cvs/debuggerjpda/ui/src/org/netbeans/modules/debugger/jpda/ui/breakpoints/Bundle.properties,v
 <--  Bundle.properties
new revision: 1.22; previous revision: 1.21
done
Checking in
src/org/netbeans/modules/debugger/jpda/ui/breakpoints/ClassBreakpointPanel.form;
/cvs/debuggerjpda/ui/src/org/netbeans/modules/debugger/jpda/ui/breakpoints/ClassBreakpointPanel.form,v
 <--  ClassBreakpointPanel.form
new revision: 1.5; previous revision: 1.4
done
Checking in
src/org/netbeans/modules/debugger/jpda/ui/breakpoints/ClassBreakpointPanel.java;
/cvs/debuggerjpda/ui/src/org/netbeans/modules/debugger/jpda/ui/breakpoints/ClassBreakpointPanel.java,v
 <--  ClassBreakpointPanel.java
new revision: 1.14; previous revision: 1.13
done
RCS file:
/cvs/debuggerjpda/ui/src/org/netbeans/modules/debugger/jpda/ui/breakpoints/ConditionsPanel.form,v
done
Checking in
src/org/netbeans/modules/debugger/jpda/ui/breakpoints/ConditionsPanel.form;
/cvs/debuggerjpda/ui/src/org/netbeans/modules/debugger/jpda/ui/breakpoints/ConditionsPanel.form,v
 <--  ConditionsPanel.form
initial revision: 1.1
done
RCS file:
/cvs/debuggerjpda/ui/src/org/netbeans/modules/debugger/jpda/ui/breakpoints/ConditionsPanel.java,v
done
Checking in
src/org/netbeans/modules/debugger/jpda/ui/breakpoints/ConditionsPanel.java;
/cvs/debuggerjpda/ui/src/org/netbeans/modules/debugger/jpda/ui/breakpoints/ConditionsPanel.java,v
 <--  ConditionsPanel.java
initial revision: 1.1
done
Checking in
src/org/netbeans/modules/debugger/jpda/ui/breakpoints/ExceptionBreakpointPanel.form;
/cvs/debuggerjpda/ui/src/org/netbeans/modules/debugger/jpda/ui/breakpoints/ExceptionBreakpointPanel.form,v
 <--  ExceptionBreakpointPanel.form
new revision: 1.8; previous revision: 1.7
done
Checking in
src/org/netbeans/modules/debugger/jpda/ui/breakpoints/ExceptionBreakpointPanel.java;
/cvs/debuggerjpda/ui/src/org/netbeans/modules/debugger/jpda/ui/breakpoints/ExceptionBreakpointPanel.java,v
 <--  ExceptionBreakpointPanel.java
new revision: 1.17; previous revision: 1.16
done
Checking in
src/org/netbeans/modules/debugger/jpda/ui/breakpoints/FieldBreakpointPanel.form;
/cvs/debuggerjpda/ui/src/org/netbeans/modules/debugger/jpda/ui/breakpoints/FieldBreakpointPanel.form,v
 <--  FieldBreakpointPanel.form
new revision: 1.5; previous revision: 1.4
done
Checking in
src/org/netbeans/modules/debugger/jpda/ui/breakpoints/FieldBreakpointPanel.java;
/cvs/debuggerjpda/ui/src/org/netbeans/modules/debugger/jpda/ui/breakpoints/FieldBreakpointPanel.java,v
 <--  FieldBreakpointPanel.java
new revision: 1.13; previous revision: 1.12
done
Checking in
src/org/netbeans/modules/debugger/jpda/ui/breakpoints/LineBreakpointPanel.form;
/cvs/debuggerjpda/ui/src/org/netbeans/modules/debugger/jpda/ui/breakpoints/LineBreakpointPanel.form,v
 <--  LineBreakpointPanel.form
new revision: 1.7; previous revision: 1.6
done
Checking in
src/org/netbeans/modules/debugger/jpda/ui/breakpoints/LineBreakpointPanel.java;
/cvs/debuggerjpda/ui/src/org/netbeans/modules/debugger/jpda/ui/breakpoints/LineBreakpointPanel.java,v
 <--  LineBreakpointPanel.java
new revision: 1.13; previous revision: 1.12
done
Checking in
src/org/netbeans/modules/debugger/jpda/ui/breakpoints/MethodBreakpointPanel.form;
/cvs/debuggerjpda/ui/src/org/netbeans/modules/debugger/jpda/ui/breakpoints/MethodBreakpointPanel.form,v
 <--  MethodBreakpointPanel.form
new revision: 1.8; previous revision: 1.7
done
Checking in
src/org/netbeans/modules/debugger/jpda/ui/breakpoints/MethodBreakpointPanel.java;
/cvs/debuggerjpda/ui/src/org/netbeans/modules/debugger/jpda/ui/breakpoints/MethodBreakpointPanel.java,v
 <--  MethodBreakpointPanel.java
new revision: 1.21; previous revision: 1.20
done
Checking in
src/org/netbeans/modules/debugger/jpda/ui/breakpoints/ThreadBreakpointPanel.form;
/cvs/debuggerjpda/ui/src/org/netbeans/modules/debugger/jpda/ui/breakpoints/ThreadBreakpointPanel.form,v
 <--  ThreadBreakpointPanel.form
new revision: 1.5; previous revision: 1.4
done
Checking in
src/org/netbeans/modules/debugger/jpda/ui/breakpoints/ThreadBreakpointPanel.java;
/cvs/debuggerjpda/ui/src/org/netbeans/modules/debugger/jpda/ui/breakpoints/ThreadBreakpointPanel.java,v
 <--  ThreadBreakpointPanel.java
new revision: 1.12; previous revision: 1.11
done
Comment 6 Quality Engineering 2010-04-29 09:22:38 UTC
Verified ... and Closing all issues resolved into NetBeans 6.7 and earlier.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo